package com.dgtly.companyext.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 企业荣誉对象 company_honour
 * 
 * @author qxp
 * @date 2020-03-02
 */
public class CompanyHonour extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 商户荣誉id */
    private Long honourId;

    /** 商户id */
    @Excel(name = "商户id")
    private Long companyId;

    /** 荣誉标题*/
    private String title;

    /** 荣誉描述 */
    @Excel(name = "荣誉描述")
    private String des;


    /** 荣誉图片 */
    @Excel(name = "荣誉图片")
    private String img;

    public void setHonourId(Long honourId) 
    {
        this.honourId = honourId;
    }

    public Long getHonourId() 
    {
        return honourId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setDes(String des)
    {
        this.des = des;
    }

    public String getDes()
    {
        return des;
    }
    public void setImg(String img) 
    {
        this.img = img;
    }

    public String getImg() 
    {
        return img;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("honourId", getHonourId())
            .append("companyId", getCompanyId())
            .append("des", getDes())
            .append("img", getImg())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
